**Source URL:** https://general.veevavault.dev/safety/vault-api/api-reference/26.1/binders/binding-rules/update-binding-rule.md

# Update Binding Rule



<Endpoint path="/api/{version}/objects/binders/{binder_id}/binding_rule" method="PUT"></Endpoint>

## Headers {#headers}

| Name | Description |
| --- | --- |
| `Content-Type` | `application/x-www-form-urlencoded` |
| `Accept` | `application/json` (default) or `application/xml` |

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{binder_id}` | The binder `id` field value. |
</FieldTable>

## Body Parameters {#body-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `binding_rule__v` | Indicates which binding rule to apply (which document versions to link to the section). Options are: `default` (bind to the latest available version (assumed if binding_rule is blank)), `steady-state` (bind to latest version in a steady-state), or `current` (bind to current version). |
| `binding_rule_override__v` | Set to true or false to indicate if the specified binding rule should override documents or sections which already have binding rules set. If set to `true`, the binding rule is applied to all documents and sections within the current section. If blank or set to `false`, the binding rule is applied only to documents and sections within the current section that do not have a binding rule specified. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "binding_rule__v=steady-state" \
-d "binding_rule_override__v=true" \
https://myvault.veevavault.com/api/v15.0/objects/binders/566/binding_rule

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "id": 566
}

```
</CodeExample>

---

**Previous:** [Binding Rules](/safety/vault-api/api-reference/26.1/binders/binding-rules)  
**Next:** [Update Binder Section Binding Rule](/safety/vault-api/api-reference/26.1/binders/binding-rules/update-binder-section-binding-rule)